- name: Ensure pip is installed
  apt:
     name: python3-pip
     state: present

- name: Install kubernetes library
  pip:
    name: kubernetes
    state: present



- name: Set kubeconfig path
  set_fact:
    kubeconfig_path: /home/ubuntu/.kube/config

- name: Create directory for Helm chart on remote server
  file:
    path: /tmp/helm_chart
    state: directory

- name: Copy Helm chart to remote server
  copy:
    src: "{{ role_path }}/files/postgresql"
    dest: /tmp/helm_chart
    remote_src: no


- name: Apply the Secret to the Kubernetes cluster
  kubernetes.core.k8s:
    state: present
    src: /tmp/helm_chart/postgresql/secret.yaml
    namespace: default
    kubeconfig: "{{ kubeconfig_path }}"

- name: Deploy postgresql chart from local path on remote server
  kubernetes.core.helm:
    name: postgresql
    chart_ref: "/tmp/helm_chart/postgresql/"
    release_namespace: default
    kubeconfig: "{{ kubeconfig_path }}"
  become: yes
  collections:
    - kubernetes.core

